.reactApp{
  overflow: hidden;
}

.header{
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  height: 62px;
  background: #fff;
  border-bottom: 1px solid #dee2e6;
  padding: 0 10px 0 0;
  transition: left .3s;
  z-index: 100;
}

.headerAfterClick{
  padding-left: 10px;
}

.headerAfterClickMenu{
  padding-left: 10px;
}
.headerBody .sidebarHide{
  width: 40px;
  color: #656c72;
  cursor: pointer;
  font-size: 1.5em;
  text-align: center;
  transition: all 0.4s ease;
}

.sidebarHide svg{
  width: 0.875em;
  vertical-align: -.125em;
}

.container {
  min-height: 100vh;
  padding: 0 0.5rem;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 100vh;
}

.main {
  display: flex;
  flex-direction: column;
  min-width: 0;
  height: 100vh;
  margin-left: 250px;
  transition: margin .3s ease;
  background-color: #dee2e6 ;
}

.footer {
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-wrap: nowrap;
  width: 100%;
  position: relative;
  height: 45px;
  background: #f0f0f0;
  border-top: 1px solid #dee2e6;
  padding: 5px 15px;
  z-index: 1;
}

.title a {
  color: #0070f3;
  text-decoration: none;
}

.title a:hover,
.title a:focus,
.title a:active {
  text-decoration: underline;
}

.title {
  margin: 0;
  line-height: 1.15;
  font-size: 4rem;
}

.title,
.description {
  text-align: center;
}

.description {
  line-height: 1.5;
  font-size: 1.5rem;
}

.code {
  background: #fafafa;
  border-radius: 5px;
  padding: 0.75rem;
  font-size: 1.1rem;
  font-family: Menlo, Monaco, Lucida Console, Liberation Mono, DejaVu Sans Mono,
    Bitstream Vera Sans Mono, Courier New, monospace;
}

.grid {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
  max-width: 800px;
  margin-top: 3rem;
}

.card {
  margin: 1rem;
  padding: 1.5rem;
  text-align: left;
  color: inherit;
  text-decoration: none;
  border: 1px solid #eaeaea;
  border-radius: 10px;
  transition: color 0.15s ease, border-color 0.15s ease;
  width: 45%;
}

.card:hover,
.card:focus,
.card:active {
  color: #0070f3;
  border-color: #0070f3;
}

.card h2 {
  margin: 0 0 1rem 0;
  font-size: 1.5rem;
}

.card p {
  margin: 0;
  font-size: 1.25rem;
  line-height: 1.5;
}

/*custom css*/

.footerLink{
  margin-left:5px;
  color: #007bff;
  text-decoration: none;
  background-color: transparent;
}

.mainBody{
  display: flex;
  flex-direction: column;
  min-width: 0;
  min-height: 100vh;
  padding-top: 62px;
  margin-left: 250px;
  transition: margin .3s ease;
}

.mainBodyAfterClick {
  margin-left: 50px !important;
}

.mainBodyAfterClickMenu {
  margin-left: 0 !important;
}

.mainBody .mainContent{
  flex: 1 1 calc(100vh - 62px - 45px);
}

#breadCumb{
  overflow: hidden;
  position: fixed;
  top: 50px;
  z-index:1;
  width: 100%;
}

#breadCumb .breadcumbMain{
  display: flex;
  flex-wrap: wrap;
  padding: 0.75rem 1rem;
  margin-bottom: 1rem;
  list-style: none;
  background-color: #fff;
  border-top-left-radius: 0.25rem;
  border-top-right-radius: 0.25rem;
  border-top: 0.5px solid rgb(226, 226, 226);
  border-bottom: 0.5px solid rgb(226, 226, 226);
}

.breadcumbMain .breadcumbItem a{
  text-decoration: none;
}

.sideBar{
  display: flex;
  flex-direction: column;
  width: 250px;
  height: 100%;
  position: fixed;
  top: 62px;
  left: 0;
  color: #212529;
  background: #fff;
  transition: box-shadow .3s .15s,transform .3s,margin-left .3s,margin-right .3s,width .3s,z-index 0s ease .3s;
  z-index: 1030;
}

.sideBarAfterClick{
  width: 65px !important;
}

.sideBarAfterClickMenu{
  width: 0 !important;
}

.sideBar .logo{
  display: flex;
  height: 62px;
  border-bottom: 1px solid #dee2e6;
  padding-left: 10px;
  align-items: center;
  overflow: hidden;
  word-wrap: normal;
}

.sideBar .sidebarNav{
  display: flex;
  flex-direction: column;
  position: relative;
  list-style: none;
  border-right: 1px solid #dee2e6;
  overflow-x: hidden;
  overflow-y: auto;
  padding: 3px 0;
  margin: 0;
}

.sidebarNav .title{
  width: inherit;
  display: flex;
  padding-left:10px;
  font-size: 80%;
}
.sidebarNav .navItem{
  width: inherit;
  display: flex;
  padding-left:10px;
}

.navItem:hover {
  background-color: #0070f3;
  color: #fff;
}

.navItem:hover .navLink {
  color: #fff;
}

.navItem .navLink{
  display: flex;
  flex: 1 1;
  align-items: center;
  text-decoration: none;
  color: #212529;
  background: 0 0;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  transition: background .3s, color .3s;
  padding: 0.6rem 0.35rem;
}

.badgeActive{
  display: inline-block;
  padding: 0.25em 0.4em;
  font-size: 75%;
  font-weight: 700;
  line-height: 1;
  text-align: center;
  white-space: nowrap;
  vertical-align: baseline;
  padding-right: 0.6em;
  padding-left: 0.6em;
  border-radius: 10rem;
  color: #fff;
  background-color: #52c41a;
  cursor: pointer;
}

.badgeUnactive{
  display: inline-block;
  padding: 0.25em 0.4em;
  font-size: 75%;
  font-weight: 700;
  line-height: 1;
  text-align: center;
  white-space: nowrap;
  vertical-align: baseline;
  padding-right: 0.6em;
  padding-left: 0.6em;
  border-radius: 10rem;
  color: #fff;
  background-color: #bebebe;
  cursor: pointer;
}

.sideBar .logo .logoActive{
  /* white-space: nowrap; */
  text-decoration: none;
}

.sidebarTrigger{
  flex: 0 0 45px;
  height: 45px;
  position: absolute;
  bottom: 62px;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  color: #fff;
  background: #0070f3;
  cursor: pointer;
  transition: all 0.4s ease;
  z-index: 2;
}

.sidebarTrigger svg{
  overflow: visible;
  width: 0.5em;
  display: inline-block;
  font-size: inherit;
  height: 1em;
  vertical-align: -.125em;
}

.logoActive img{
  max-height: 42px;
}

.imgAvatar{
  /* background-image: url(/logo.png); */
  display: inline-block;
  vertical-align: middle;
  width: 38px;
  height: 38px;
  border-radius: 50%;
  background-repeat: no-repeat;
  background-position: center top;
  background-size: cover;
  margin-right: 3px;
  margin-left: 2px;
}

#dropMenu{
  min-width: 100%;
}

.fW{
  width: 0.875em;
  vertical-align: -.125em;
}

@media (max-width: 600px) {
  .grid {
    width: 100%;
    flex-direction: column;
  }
}
